Subject: bug#21082: closed (Re: bug#21082: grep 'make check' fails)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Jul 2015 22:22:02 +0000

Your bug report

#21082: grep 'make check' fails

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21082: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21082
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21082: grep 'make check' fails
From: Paul Eggert <[email-masked]>
To: Bruce Dubbs <[email-masked]>, [email-masked]
Date: Fri, 17 Jul 2015 15:21:51 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Bruce Dubbs wrote:
>
>   sed -i 's/copyright{/copyright\\{/' build-aux/update-copyright
>
> Translation:  Escape the left brace in a perl regex.
>
> I reported this to gnulib over a month ago but got no response.

I missed that, but the problem was reported by someone else and was fixed here:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=841d0dcfa8103235836a1aeb0c1ad657f43ade85

Subject: grep 'make check' fails
From: Bruce Dubbs <[email-masked]>
To: [email-masked]
Date: Fri, 17 Jul 2015 17:11:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

099-grep-2.21:FAIL: test-update-copyright.sh
099-grep-2.21:# FAIL:  1
099-grep-2.21:FAIL: test-update-copyright.sh
099-grep-2.21:FAIL  test-update-copyright.sh (exit status: 1)
099-grep-2.21:# FAIL:  1

Actually the problem is not due to grep but gnulib and perl-5.22. 
However it is in the grep source tarball.

The one line (one character) fix is:

  sed -i 's/copyright{/copyright\\{/' build-aux/update-copyright

Translation:  Escape the left brace in a perl regex.

I reported this to gnulib over a month ago but got no response.  Thought 
you would like to know.

   -- Bruce Dubbs
      linuxfromscratch.org